Page MenuHomePhabricator

[Story] Redirect users on mobile devices to mobile site automatically
Closed, ResolvedPublic

Description

As a reader on a mobile device I want to use the mobile version of Wikidata instead of the desktop site in order to be able to better see the content and interact with the website.

Related Objects

Event Timeline

Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher raised the priority of this task from to Normal.
Lydia_Pintscher moved this task to consider for next sprint on the Wikidata board.
Lydia_Pintscher added subscribers: Lydia_Pintscher, Bene.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 24 2015, 1:31 PM

Will you also be redirecting desktop users away from the mobile site to the desktop one?

Not planned atm. Is that done for Wikipedia?

No, I think there's a wontfix'd bug or two around somewhere. We should require it for T100402: Core should have support for mobile detection to happen though.

Bene added a comment.Sep 16 2015, 10:09 PM

If all blockers have been resolved, this patch should be merged/deployed: https://gerrit.wikimedia.org/r/#/c/238396/

I talked this through with Tobi. Let's deploy this and not block on the search. The search via enter is good enough for a first version.

hoo added a subscriber: hoo.Oct 2 2015, 5:46 PM

Given the last blocker for this has been fixed, I'll try to get this done on Thursday (after the required MobileFrontend and WikimediaMessage changes have been rolled out to Wikidata on Wednesday).

Change 238396 had a related patch set uploaded (by Hoo man):
Enable automatic redirect to mobile Wikidata

https://gerrit.wikimedia.org/r/238396

Change 238396 merged by Giuseppe Lavagetto:
Enable automatic redirect to mobile Wikidata

https://gerrit.wikimedia.org/r/238396

hoo closed this task as Resolved.Oct 8 2015, 8:39 AM
hoo removed a project: Patch-For-Review.

The redirect is in place now.

hoo moved this task from Backlog to Done on the Wikidata-Sprint-2015-09-29 board.Oct 8 2015, 8:40 AM